<?php 

namespace Foxstudio\Plugins\Template\Controller;
use Foxstudio\Plugins\Template\Utils as Utils;


class ProductDetailsController {
    private $productBaseInfo;
    private $labeling;
    private $inventory;
    public function __construct() {
        // $this->load();
        // \add_action('woocommerce_before_single_product', [$this, 'load']);

        new Utils\DeliveryTab();
        new Utils\LabelingTab();
        new Utils\LabelingDescriptionTab();
        new Utils\ProductDescriptionTab();
        new Utils\PriceCalculator();
    }

    public function load() {
        // global $product;
        // $sku = $product->get_sku();
        
        // if(!empty($sku)) {

        // }

    }



}